# Uses of Class
org.apache.felix.http.base.internal.runtime.ServletInfo

Packages that use ServletInfo
Package
Description
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime
org.apache.felix.http.base.internal.runtime.dto
org.apache.felix.http.base.internal.service

## Uses of ServletInfo in org.apache.felix.http.base.internal.handler

Methods in org.apache.felix.http.base.internal.handler that return ServletInfo
Modifier and Type
Method
Description
`ServletInfo`
ServletHandler.`getServletInfo()`
Constructors in org.apache.felix.http.base.internal.handler with parameters of type ServletInfo
Modifier
Constructor
Description
``
`HttpServiceServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, jakarta.servlet.Servlet servlet)`
New handler
``
`HttpServiceServletHandler(ExtServletContext context, ServletInfo servletInfo, javax.servlet.Servlet servlet)`
New handler
``
`HttpServiceWebSocketServletHandler(ExtServletContext context, ServletInfo servletInfo, javax.servlet.Servlet servlet)`
``
`ServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo)`
``
`WhiteboardServletHandler(long contextServiceId, ExtServletContext context, ServletInfo servletInfo, org.osgi.framework.BundleContext contextBundleContext)`

## Uses of ServletInfo in org.apache.felix.http.base.internal.registry

Methods in org.apache.felix.http.base.internal.registry with parameters of type ServletInfo
Modifier and Type
Method
Description
`static @Nullable ErrorPageRegistry.ErrorRegistration`
ErrorPageRegistry.`getErrorRegistration(@NotNull ServletInfo info)`
Parse the registration properties of the servlet for error handling
`void`
ErrorPageRegistry.`removeServlet(@NotNull ServletInfo info, boolean destroy)`
Remove the servlet from error handling
`void`
ServletRegistry.`removeServlet(@NotNull ServletInfo info, boolean destroy)`
Remove a servlet
`void`
PerContextHandlerRegistry.`unregisterServlet(@NotNull ServletInfo servletInfo, boolean destroy)`
Remove a servlet

## Uses of ServletInfo in org.apache.felix.http.base.internal.runtime

Methods in org.apache.felix.http.base.internal.runtime that return ServletInfo
Modifier and Type
Method
Description
`ServletInfo`
ResourceInfo.`getServletInfo()`

## Uses of ServletInfo in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type ServletInfo
Modifier and Type
Method
Description
`static org.osgi.service.servlet.runtime.dto.ErrorPageDTO`
ErrorPageDTOBuilder.`build(ServletInfo info, boolean failed)`
Build a servlet DTO from a servlet info
`static org.osgi.service.servlet.runtime.dto.ResourceDTO`
ResourceDTOBuilder.`build(ServletInfo info, boolean failed)`
Build a servlet DTO from a servlet info
`static org.osgi.service.servlet.runtime.dto.ServletDTO`
ServletDTOBuilder.`build(ServletInfo info, int reason)`
Build a servlet DTO from a servlet info

## Uses of ServletInfo in org.apache.felix.http.base.internal.service

Methods in org.apache.felix.http.base.internal.service with parameters of type ServletInfo
Modifier and Type
Method
Description
`void`
SharedHttpServiceImpl.`registerServlet(@NotNull String alias, @NotNull ExtServletContext httpContext, javax.servlet.Servlet servlet, @NotNull ServletInfo servletInfo)`
Register a servlet